<?php

/**
 * @file
 * Implements the display extender. It adds a checkbox to allow displays
 * filter by current site language.
 */

/**
 * Implements hook_views_plugins().
 */
function i18n_views_fbcl_views_plugins() {
  $path = drupal_get_path('module', 'i18n_views_fbcl') . '/includes';
  $plugins = array();
  $plugins['display_extender']['i18n_views_fbcl'] = array(
    'title' => t('Filter by Current Language'),
    'help' => t('Show results filtered by current site language.'),
    'path' => $path,
    'handler' => 'i18n_views_fbcl_plugin_display_extender',
  );

  return $plugins;
}
